## kopeninghours 25.08.1

=== CMakeLists.txt ===
# SPDX-FileCopyrightText: 2020 Volker Krause <vkrause@kde.org>
# SPDX-License-Identifier: BSD-3-Clause

cmake_minimum_required(VERSION 3.5)

# KDE Application Version, managed by release script
set (RELEASE_SERVICE_VERSION_MAJOR "25")
set (RELEASE_SERVICE_VERSION_MINOR "08")
set (RELEASE_SERVICE_VERSION_MICRO "1")
set (RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
project(KOpeningHours VERSION ${RELEASE_SERVICE_VERSION})

# Ubuntu bionic has ECM 5.44
find_package(ECM 5.44 REQUIRED NO_MODULE)
set(CMAKE_MODULE_PATH ${CMAKE_CURRENT_SOURCE_DIR}/cmake ${ECM_MODULE_PATH})

include(KDEFrameworkCompilerSettings NO_POLICY_SCOPE)
include(ECMAddTests)
include(ECMGenerateHeaders)
include(ECMQtDeclareLoggingCategory)
if (ECM_VERSION VERSION_GREATER_EQUAL 5.91)
    include(ECMDeprecationSettings)
else()
    # backward compatibility for ECM versions without QtVersionOption.cmake
    set(QT_MAJOR_VERSION 5)
endif()
include(ECMSetupVersion)
include(FeatureSummary)
include(KDEInstallDirs)
include(KDECMakeSettings)
include(GenerateExportHeader)
include(ECMAddQch)


option(BUILD_QCH "Build API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)" OFF)
add_feature_info(QCH ${BUILD_QCH} "API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)")

set(CMAKE_CXX_STANDARD 17)
set(CMAKE_CXX_STANDARD_REQUIRED ON)
set(CMAKE_AUTOMOC ON)
set(CMAKE_AUTORCC ON)
ecm_setup_version(PROJECT VARIABLE_PREFIX KOPENINGHOURS
    VERSION_HEADER kopeninghours_version.h
    PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KOpeningHoursConfigVersion.cmake"
    SOVERSION 1
)

option(VALIDATOR_ONLY "Build only the validator, not the evaluator. This removes the kholidays and ki18n dependencies." OFF)
if (VALIDATOR_ONLY)
    set(REQUIRED_QT_VERSION 5.9)
else()
    set(REQUIRED_QT_VERSION 5.14) # 5.14 for QCalendar
    if (QT_MAJOR_VERSION STREQUAL "6")
        set(QT_REQUIRED_VERSION "6.4.0")
        set(KF_MIN_VERSION "5.248.0")
        set(KF_MAJOR_VERSION "6")
    else()
        set(KF_MAJOR_VERSION "5")
    endif()
endif()

find_package(Qt${QT_MAJOR_VERSION} ${REQUIRED_QT_VERSION} REQUIRED COMPONENTS Core) # 5.14 for QCalendar
find_package(Qt${QT_MAJOR_VERSION} ${REQUIRED_QT_VERSION} CONFIG QUIET OPTIONAL_COMPONENTS Qml)
if (NOT VALIDATOR_ONLY)
    find_package(KF${KF_MAJOR_VERSION} 5.77 REQUIRED COMPONENTS Holidays I18n)
endif()

if (BUILD_TESTING)
    find_package(Qt${QT_MAJOR_VERSION} ${REQUIRED_QT_VERSION} REQUIRED COMPONENTS Test)
endif()

find_package(FLEX REQUIRED)
set_package_properties(FLEX PROPERTIES PURPOSE "Lexer generator for parsing opening hours expressions")
find_package(BISON REQUIRED)
set_package_properties(BISON PROPERTIES PURPOSE "Grammar generator for parsing opening hours expressions")

find_package(Python COMPONENTS Development)
if (Python_FOUND)
    # boost-python requires exact version number
    find_package(Boost COMPONENTS python${Python_VERSION_MAJOR}${Python_VERSION_MINOR} MODULE)
endif()

add_definitions(-DQT_DISABLE_DEPRECATED_BEFORE=0x050d00)
add_definitions(-DKF_DISABLE_DEPRECATED_BEFORE_AND_AT=0x054400)
add_definitions(-DQT_NO_FOREACH)
add_subdirectory(src)
if (Boost_FOUND)
    add_subdirectory(PyKOpeningHours)
endif()

if (BUILD_TESTING)
    add_subdirectory(autotests)
    add_subdirectory(tests)
endif()



set(CMAKECONFIG_INSTALL_DIR "${KDE_INSTALL_CMAKEPACKAGEDIR}/KOpeningHours")


install(FILES ${CMAKE_CURRENT_BINARY_DIR}/kopeninghours_version.h DESTINATION ${KDE_INSTALL_INCLUDEDIR} COMPONENT Devel)
if (NOT VALIDATOR_ONLY)
    ki18n_install(po)
endif()

if (BUILD_QCH)
    ecm_install_qch_export(
        TARGETS KOpeningHours_QCH
        FILE KOpeningHoursQchTargets.cmake
        DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
        COMPONENT Devel
    )
    set(PACKAGE_INCLUDE_QCHTARGETS "include(\"\${CMAKE_CURRENT_LIST_DIR}/KOpeningHoursQchTargets.cmake\")")
endif()

configure_package_config_file(
    "${CMAKE_CURRENT_SOURCE_DIR}/KOpeningHoursConfig.cmake.in"
    "${CMAKE_CURRENT_BINARY_DIR}/KOpeningHoursConfig.cmake"
    INSTALL_DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
)

install(FILES
        "${CMAKE_CURRENT_BINARY_DIR}/KOpeningHoursConfig.cmake"
        "${CMAKE_CURRENT_BINARY_DIR}/KOpeningHoursConfigVersion.cmake"
    DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
    COMPONENT Devel
)
install(EXPORT KOpeningHoursTargets DESTINATION "${CMAKECONFIG_INSTALL_DIR}" FILE KOpeningHoursTargets.cmake)

feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== PyKOpeningHours/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2020 David Faure <faure@kde.org>
# SPDX-License-Identifier: BSD-3-Clause

# Without this, any build libraries automatically have names "lib{x}.so"
set(CMAKE_SHARED_MODULE_PREFIX "")

# Silence warning "zero as null pointer constant" due to the BOOST_PYTHON_MODULE macro
if (CMAKE_CXX_COMPILER_ID STREQUAL "GNU" OR CMAKE_CXX_COMPILER_ID MATCHES "Clang")
   if (NOT CMAKE_CXX_COMPILER_VERSION VERSION_LESS "5.0.0")
      set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wno-zero-as-null-pointer-constant" )
   endif()
endif()

add_library(PyKOpeningHours MODULE
    pykopeninghours.cpp
    python_qt_wrappers.cpp
    test.py # just so it appears in QtCreator
)
kde_target_enable_exceptions(PyKOpeningHours PRIVATE)

target_compile_definitions(PyKOpeningHours PRIVATE KOPENINGHOURS_VALIDATOR_ONLY)

# Set up the libraries and header search paths for this target
target_link_libraries(PyKOpeningHours PUBLIC ${Boost_LIBRARIES} Python::Python KOpeningHours)
target_include_directories(PyKOpeningHours PRIVATE ${Boost_INCLUDE_DIR})

set(_install_dir lib/python${Python_VERSION_MAJOR}.${Python_VERSION_MINOR}/site-packages)

install(TARGETS PyKOpeningHours DESTINATION ${_install_dir}/PyKOpeningHours)
install(FILES PyKOpeningHours.pyi __init__.py DESTINATION ${_install_dir}/PyKOpeningHours)

=== src/qml/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2020 Volker Krause <vkrause@kde.org>
# SPDX-License-Identifier: BSD-3-Clause

include(ECMQmlModule)
ecm_add_qml_module(kopeninghoursqmlplugin
    URI "org.kde.kopeninghours"
    VERSION 1.0
    NO_GENERATE_PLUGIN_SOURCE
)

target_sources(kopeninghoursqmlplugin PRIVATE
    kopeninghoursqmlplugin.cpp
    types.h
)

target_link_libraries(kopeninghoursqmlplugin PRIVATE
    Qt::Qml
    KOpeningHours
)

ecm_finalize_qml_module(kopeninghoursqmlplugin DESTINATION ${KDE_INSTALL_QMLDIR})

=== debian/changelog ===
kopeninghours (25.08.1-0zneon+24.04+noble+release+build18) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Wed, 10 Sep 2025 22:59:51 +0000

kopeninghours (25.08.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 09 Sep 2025 11:52:53 +0000

=== debian/control ===
Source: kopeninghours
Section: libs
Priority: optional
Build-Depends: bison,
               cmake (>= 2.8.12),
               debhelper-compat (= 13),
               flex,
               kf6-extra-cmake-modules,
               kf6-kholidays-dev,
               kf6-ki18n-dev,
               libboost-python1.74-dev,
               pkg-kde-tools-neon,
               qt6-base-dev,
               qt6-declarative-dev
Standards-Version: 4.5.0
Vcs-Git: https://invent.kde.org/neon/neon-packaging/kopeninghours.git
Vcs-Browser: https://invent.kde.org/neon/neon-packaging/kopeninghours
Maintainer: Neon CI <neon@kde.org>

Package: libkopeninghours1-qt6
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Replaces: libkopeninghours1
Conflicts: libkopeninghours1
Description: OSM opening hours expressions library
 A library for parsing and evaluating OSM opening hours expressions.

Package: libkopeninghours-qt6-dev
Architecture: any
Depends: libkopeninghours1-qt6 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: OSM opening hours expressions library
 A library for parsing and evaluating OSM opening hours expressions.
 .
 This package contains the development files.

Package: qml6-module-org-kde-kopeninghours
Architecture: any
Depends: qml6-module-qtquick,
         qml6-module-qtquick-controls,
         qml6-module-qtquick-layouts,
         ${misc:Depends},
         ${shlibs:Depends}
Description: OSM opening hours expressions library
 A library for parsing and evaluating OSM opening hours expressions.
 .
 This package contains the Qt Quick module.

Package: python3-kopeninghours
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: python-kopeninghours (<< 22.04.3-1neon)
Replaces: python-kopeninghours (<< 22.04.3-1neon)
Description: OSM opening hours expressions library
 A library for parsing and evaluating OSM opening hours expressions.
 .
 This package contains the Python library.

## kopeninghours 25.08.1+p24.04+vstable+git20250910.2300

=== debian/changelog ===
kopeninghours (25.08.1+p24.04+vstable+git20250910.2300-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 10 Sep 2025 23:00:19 +0000

## kopeninghours 25.08.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -6,7 +6,7 @@
 # KDE Application Version, managed by release script
 set (RELEASE_SERVICE_VERSION_MAJOR "25")
 set (RELEASE_SERVICE_VERSION_MINOR "08")
-set (RELEASE_SERVICE_VERSION_MICRO "1")
+set (RELEASE_SERVICE_VERSION_MICRO "2")
 set (RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 project(KOpeningHours VERSION ${RELEASE_SERVICE_VERSION})

=== src/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2020 Volker Krause <vkrause@kde.org>
# SPDX-License-Identifier: BSD-3-Clause

add_definitions(-DTRANSLATION_DOMAIN=\"kopeninghours\")

add_subdirectory(lib)
if (TARGET Qt6::Qml AND NOT VALIDATOR_ONLY)
    add_subdirectory(qml)
endif()

=== debian/changelog ===
kopeninghours (25.08.2-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.08.2)

 -- Rik Mills <rikmills@kde.org>  Fri, 17 Oct 2025 11:51:15 +0100

kopeninghours (25.08.1-0ubuntu1) questing; urgency=medium

  * New upstream release (25.08.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 11 Sep 2025 06:56:08 +0100

kopeninghours (25.08.0-0ubuntu1) questing; urgency=medium

  * New upstream release (25.08.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 14 Aug 2025 11:27:05 +0100

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

include /usr/share/dpkg/pkg-info.mk

# Starting with a library package $*, remove the ABI and append a
# -MAJOR.MINOR suffix without the third component of the upstream version.
ABIVirtualPackage = $(shell echo $* | sed 's/abi[0-9]\+//')-$(basename $(DEB_VERSION_UPSTREAM))
pkgs_lib = $(filter-out %-dev %-doc %-dbg %-data %-bin %-plugins,$(filter lib%,$(shell dh_listpackages)))

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure --buildsystem=kf6 -- -DBUILD_WITH_QT6=ON

override_dh_makeshlibs: $(pkgs_lib:=-makeshlibs)
	dh_makeshlibs --remaining-packages
$(pkgs_lib:=-makeshlibs): %-makeshlibs:
	dh_makeshlibs -p$* '-V$* (>= $(DEB_VERSION_EPOCH_UPSTREAM)), $(ABIVirtualPackage)'

override_dh_gencontrol: $(pkgs_lib:=-gencontrol)
	dh_gencontrol --remaining-packages
$(pkgs_lib:=-gencontrol): %-gencontrol:
	dh_gencontrol -p$* -- -VABI:VirtualPackage=$(ABIVirtualPackage)

## kopeninghours 25.08.2+p24.04+vstable+git20251011.0841

=== debian/changelog ===
kopeninghours (25.08.2+p24.04+vstable+git20251011.0841-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 11 Oct 2025 08:41:20 +0000

kopeninghours (25.08.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 10 Oct 2025 06:21:18 +0000

## kopeninghours 25.08.2+p24.04+vstable+git20251015.0845

=== debian/changelog ===
kopeninghours (25.08.2+p24.04+vstable+git20251015.0845-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 15 Oct 2025 08:45:05 +0000

## kopeninghours 25.08.2+p24.04+vstable+git20251023.0110

=== debian/changelog ===
kopeninghours (25.08.2+p24.04+vstable+git20251023.0110-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 23 Oct 2025 01:10:38 +0000

## kopeninghours 25.08.2+p24.04+vstable+git20251031.0732

=== debian/changelog ===
kopeninghours (25.08.2+p24.04+vstable+git20251031.0732-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 31 Oct 2025 07:32:09 +0000

## kopeninghours 25.08.2+p24.04+vunstable+git20251011.0640

=== CMakeLists.txt ===
--- 
+++ 
@@ -5,8 +5,8 @@
 
 # KDE Application Version, managed by release script
 set (RELEASE_SERVICE_VERSION_MAJOR "25")
-set (RELEASE_SERVICE_VERSION_MINOR "08")
-set (RELEASE_SERVICE_VERSION_MICRO "2")
+set (RELEASE_SERVICE_VERSION_MINOR "11")
+set (RELEASE_SERVICE_VERSION_MICRO "70")
 set (RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 project(KOpeningHours VERSION ${RELEASE_SERVICE_VERSION})

=== debian/changelog ===
kopeninghours (25.08.2+p24.04+vunstable+git20251011.0640-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 11 Oct 2025 06:40:45 +0000

## kopeninghours 25.08.2+p24.04+vunstable+git20251015.1007

=== debian/changelog ===
kopeninghours (25.08.2+p24.04+vunstable+git20251015.1007-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 15 Oct 2025 10:07:29 +0000

## kopeninghours 25.08.2+p24.04+vunstable+git20251020.0235

=== debian/changelog ===
kopeninghours (25.08.2+p24.04+vunstable+git20251020.0235-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 20 Oct 2025 02:35:00 +0000

## kopeninghours 25.08.3

=== autotests/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2020 Volker Krause <vkrause@kde.org>
# SPDX-License-Identifier: BSD-3-Clause

add_definitions(-DSOURCE_DIR="${CMAKE_CURRENT_SOURCE_DIR}") # TODO use QFINDTESTDATA instead

ecm_add_test(parsertest.cpp LINK_LIBRARIES Qt::Test KOpeningHours)
ecm_add_test(jsonldtest.cpp LINK_LIBRARIES Qt::Test KOpeningHours)
if (NOT VALIDATOR_ONLY)
ecm_add_test(intervaltest.cpp LINK_LIBRARIES Qt::Test KOpeningHours)
ecm_add_test(eastertest.cpp LINK_LIBRARIES Qt::Test KOpeningHours)
ecm_add_test(evaluatetest.cpp LINK_LIBRARIES Qt::Test KOpeningHours)
ecm_add_test(iterationtest.cpp LINK_LIBRARIES Qt::Test KOpeningHours KF${KF_MAJOR_VERSION}::Holidays)
ecm_add_test(intervalmodeltest.cpp LINK_LIBRARIES Qt::Test KOpeningHours)
endif()

=== debian/changelog ===
kopeninghours (25.08.3-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.08.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Nov 2025 12:17:01 +0000

=== debian/control ===
Source: kopeninghours
Section: libs
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Sandro Knauß <hefee@debian.org>,
Build-Depends: bison,
               cmake (>= 3.5~),
               debhelper-compat (= 13),
               dh-sequence-kf6,
               dh-sequence-pkgkde-symbolshelper,
               dh-sequence-python3,
               dh-sequence-qmldeps,
               extra-cmake-modules (>= 5.248~),
               flex,
               libboost-python-dev,
               libkf6holidays-dev (>= 5.248~),
               libkf6i18n-dev (>= 5.248~),
               libpython3-dev,
               qt6-base-dev (>= 6.4~),
Homepage: https://invent.kde.org/libraries/kopeninghours/
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kopeninghours
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kopeninghours
Standards-Version: 4.7.2
Rules-Requires-Root: no

Package: libkopeninghours1
Provides: ${ABI:VirtualPackage},
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: OSM opening hours expressions library
 A library for parsing and evaluating OSM opening hours expressions.
 .
 OSM opening hours expressions are used to describe when a feature is
 open/available or closed. This format is not only used in OpenStreetMap itself,
 but in various other data sources or APIs needing such a description as well.

Package: libkopeninghours-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libkopeninghours1 (= ${binary:Version}),
         qml6-module-org-kde-kopeninghours (= ${binary:Version}),
         ${misc:Depends},
Description: OSM opening hours expressions library (development files)
 A library for parsing and evaluating OSM opening hours expressions.
 .
 OSM opening hours expressions are used to describe when a feature is
 open/available or closed. This format is not only used in OpenStreetMap itself,
 but in various other data sources or APIs needing such a description as well.
 .
 This package contains the development files.

Package: qml6-module-org-kde-kopeninghours
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${qml6:Depends}, ${shlibs:Depends},
Description: OSM opening hours expressions - QML module
 A QML module for parsing and evaluating OSM opening hours expressions.
 .
 OSM opening hours expressions are used to describe when a feature is
 open/available or closed. This format is not only used in OpenStreetMap itself,
 but in various other data sources or APIs needing such a description as well.
 .
 This package contains the QML module.

Package: python3-kopeninghours
Section: python
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${python3:Depends}, ${shlibs:Depends},
Description: OSM opening hours expressions library - Python binding
 A library for parsing and evaluating OSM opening hours expressions.
 .
 OSM opening hours expressions are used to describe when a feature is
 open/available or closed. This format is not only used in OpenStreetMap itself,
 but in various other data sources or APIs needing such a description as well.
 .
 This package contains the Python library.

## kopeninghours 25.08.3+p24.04+vunstable+git20251125.0144

=== debian/changelog ===
kopeninghours (25.08.3+p24.04+vunstable+git20251125.0144-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 25 Nov 2025 01:44:09 +0000

kopeninghours (25.08.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 07 Nov 2025 00:34:02 +1000

## kopeninghours 25.08.3+p24.04+vunstable+git20251203.0044

=== debian/changelog ===
kopeninghours (25.08.3+p24.04+vunstable+git20251203.0044-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 03 Dec 2025 00:44:47 +0000

## kopeninghours 25.11.80

=== CMakeLists.txt ===
--- 
+++ 
@@ -6,7 +6,7 @@
 # KDE Application Version, managed by release script
 set (RELEASE_SERVICE_VERSION_MAJOR "25")
 set (RELEASE_SERVICE_VERSION_MINOR "11")
-set (RELEASE_SERVICE_VERSION_MICRO "70")
+set (RELEASE_SERVICE_VERSION_MICRO "80")
 set (RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 project(KOpeningHours VERSION ${RELEASE_SERVICE_VERSION})

=== debian/changelog ===
kopeninghours (25.11.80-0ubuntu1) resolute; urgency=medium

  * New upstream (beta) release (25.11.80)

 -- Rik Mills <rikmills@kde.org>  Sun, 16 Nov 2025 05:54:41 +0000

## kopeninghours 25.11.90

=== CMakeLists.txt ===
--- 
+++ 
@@ -6,7 +6,7 @@
 # KDE Application Version, managed by release script
 set (RELEASE_SERVICE_VERSION_MAJOR "25")
 set (RELEASE_SERVICE_VERSION_MINOR "11")
-set (RELEASE_SERVICE_VERSION_MICRO "80")
+set (RELEASE_SERVICE_VERSION_MICRO "90")
 set (RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 project(KOpeningHours VERSION ${RELEASE_SERVICE_VERSION})

=== debian/changelog ===
kopeninghours (25.11.90-0ubuntu1) resolute; urgency=medium

  * New upstream (RC) release (25.11.90)

 -- Rik Mills <rikmills@kde.org>  Fri, 28 Nov 2025 14:10:44 +0000

## kopeninghours 25.12.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -5,8 +5,8 @@
 
 # KDE Application Version, managed by release script
 set (RELEASE_SERVICE_VERSION_MAJOR "25")
-set (RELEASE_SERVICE_VERSION_MINOR "11")
-set (RELEASE_SERVICE_VERSION_MICRO "90")
+set (RELEASE_SERVICE_VERSION_MINOR "12")
+set (RELEASE_SERVICE_VERSION_MICRO "0")
 set (RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 project(KOpeningHours VERSION ${RELEASE_SERVICE_VERSION})

=== debian/changelog ===
kopeninghours (25.12.0-0zneon+24.04+noble+release+build21) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Mon, 08 Dec 2025 11:34:13 +0000

kopeninghours (25.12.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 08 Dec 2025 19:29:50 +1000

## kopeninghours 25.12.0+p24.04+vstable+git20251208.1159

=== debian/changelog ===
kopeninghours (25.12.0+p24.04+vstable+git20251208.1159-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 08 Dec 2025 11:59:36 +0000

## kopeninghours 25.12.0+p24.04+vstable+git20260105.0818

=== debian/changelog ===
kopeninghours (25.12.0+p24.04+vstable+git20260105.0818-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 05 Jan 2026 08:18:47 +0000

## kopeninghours 25.12.0+p24.04+vunstable+git20260105.1240

=== debian/changelog ===
kopeninghours (25.12.0+p24.04+vunstable+git20260105.1240-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 05 Jan 2026 12:40:38 +0000

## kopeninghours 25.12.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -6,7 +6,7 @@
 # KDE Application Version, managed by release script
 set (RELEASE_SERVICE_VERSION_MAJOR "25")
 set (RELEASE_SERVICE_VERSION_MINOR "12")
-set (RELEASE_SERVICE_VERSION_MICRO "0")
+set (RELEASE_SERVICE_VERSION_MICRO "1")
 set (RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 project(KOpeningHours VERSION ${RELEASE_SERVICE_VERSION})

=== debian/changelog ===
kopeninghours (25.12.1-1ubuntu2) resolute; urgency=medium

  * No-change rebuild with Python 3.14 as default

 -- Graham Inggs <ginggs@ubuntu.com>  Thu, 22 Jan 2026 21:03:01 +0000

kopeninghours (25.12.1-1ubuntu1) resolute; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Kubuntu Vcs and maintainer fields.
    - Drop now superfluous Qt5/KF5 build deps.

 -- Rik Mills <rikmills@kde.org>  Wed, 14 Jan 2026 20:54:07 +0000

kopeninghours (25.12.1-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (25.12.1).
  * Update build-deps and deps with the info from cmake.
  * Bump Standards-Version to 4.7.3, no change required.
  * Drop Rules-Requires-Root: no, not needed anymore since trixie.
  * Switch to debian/watch format version 5.
  * Add/update Heiko Becker’s key in upstream keyring.
  * Drop Multi-Arch: same from python3-kopeninghours, it’s incorrect due
    to dh-python injecting calls top py3compile in postinst. See lintian
    tag multi-arch-same-package-calls-pycompile for more details.

 -- Aurélien COUDERC <coucouf@debian.org>  Wed, 14 Jan 2026 13:52:00 +0100

kopeninghours (25.12.1-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.12.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 08 Jan 2026 11:10:23 +0000

kopeninghours (25.12.0-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.12.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 11 Dec 2025 12:28:30 +0000

=== debian/control ===
--- 
+++ 
@@ -5,13 +5,13 @@
 XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Sandro Knauß <hefee@debian.org>,
-Build-Depends: bison,
-               cmake (>= 3.5~),
-               debhelper-compat (= 13),
+Build-Depends: debhelper-compat (= 13),
                dh-sequence-kf6,
                dh-sequence-pkgkde-symbolshelper,
                dh-sequence-python3,
                dh-sequence-qmldeps,
+               bison,
+               cmake (>= 3.5~),
                extra-cmake-modules (>= 5.248~),
                flex,
                libboost-python-dev,
@@ -22,14 +22,14 @@
 Homepage: https://invent.kde.org/libraries/kopeninghours/
 Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kopeninghours
 Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kopeninghours
-Standards-Version: 4.7.2
-Rules-Requires-Root: no
+Standards-Version: 4.7.3
 
 Package: libkopeninghours1
 Provides: ${ABI:VirtualPackage},
 Architecture: any
 Multi-Arch: same
-Depends: ${misc:Depends}, ${shlibs:Depends},
+Depends: ${misc:Depends},
+         ${shlibs:Depends},
 Description: OSM opening hours expressions library
  A library for parsing and evaluating OSM opening hours expressions.
  .
@@ -56,7 +56,9 @@
 Package: qml6-module-org-kde-kopeninghours
 Architecture: any
 Multi-Arch: same
-Depends: ${misc:Depends}, ${qml6:Depends}, ${shlibs:Depends},
+Depends: ${misc:Depends},
+         ${qml6:Depends},
+         ${shlibs:Depends},
 Description: OSM opening hours expressions - QML module
  A QML module for parsing and evaluating OSM opening hours expressions.
  .
@@ -69,8 +71,9 @@
 Package: python3-kopeninghours
 Section: python
 Architecture: any
-Multi-Arch: same
-Depends: ${misc:Depends}, ${python3:Depends}, ${shlibs:Depends},
+Depends: ${misc:Depends},
+         ${python3:Depends},
+         ${shlibs:Depends},
 Description: OSM opening hours expressions library - Python binding
  A library for parsing and evaluating OSM opening hours expressions.
  .

## kopeninghours 25.12.1+p24.04+vstable+git20260122.1252

=== debian/changelog ===
kopeninghours (25.12.1+p24.04+vstable+git20260122.1252-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 22 Jan 2026 12:52:30 +0000

kopeninghours (25.12.1-0neon) noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosd.kde@gmail.com>  Tue, 06 Jan 2026 23:18:17 +1000

## kopeninghours 25.12.1+p24.04+vstable+git20260131.1321

=== debian/changelog ===
kopeninghours (25.12.1+p24.04+vstable+git20260131.1321-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 31 Jan 2026 13:21:03 +0000

## kopeninghours 25.12.1+p24.04+vunstable+git20260106.1429

=== debian/changelog ===
kopeninghours (25.12.1+p24.04+vunstable+git20260106.1429-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 06 Jan 2026 14:29:04 +0000

## kopeninghours 25.12.1+p24.04+vunstable+git20260123.0338

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,12 +1,12 @@
 # SPDX-FileCopyrightText: 2020 Volker Krause <vkrause@kde.org>
 # SPDX-License-Identifier: BSD-3-Clause
 
-cmake_minimum_required(VERSION 3.5)
+cmake_minimum_required(VERSION 3.10...3.16)
 
 # KDE Application Version, managed by release script
-set (RELEASE_SERVICE_VERSION_MAJOR "25")
-set (RELEASE_SERVICE_VERSION_MINOR "12")
-set (RELEASE_SERVICE_VERSION_MICRO "1")
+set (RELEASE_SERVICE_VERSION_MAJOR "26")
+set (RELEASE_SERVICE_VERSION_MINOR "03")
+set (RELEASE_SERVICE_VERSION_MICRO "70")
 set (RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 project(KOpeningHours VERSION ${RELEASE_SERVICE_VERSION})

=== debian/changelog ===
kopeninghours (25.12.1+p24.04+vunstable+git20260123.0338-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 23 Jan 2026 03:38:26 +0000

## kopeninghours 25.12.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,12 +1,12 @@
 # SPDX-FileCopyrightText: 2020 Volker Krause <vkrause@kde.org>
 # SPDX-License-Identifier: BSD-3-Clause
 
-cmake_minimum_required(VERSION 3.10...3.16)
+cmake_minimum_required(VERSION 3.5)
 
 # KDE Application Version, managed by release script
-set (RELEASE_SERVICE_VERSION_MAJOR "26")
-set (RELEASE_SERVICE_VERSION_MINOR "03")
-set (RELEASE_SERVICE_VERSION_MICRO "70")
+set (RELEASE_SERVICE_VERSION_MAJOR "25")
+set (RELEASE_SERVICE_VERSION_MINOR "12")
+set (RELEASE_SERVICE_VERSION_MICRO "2")
 set (RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 project(KOpeningHours VERSION ${RELEASE_SERVICE_VERSION})

=== debian/changelog ===
kopeninghours (25.12.2-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (25.12.2).
  * Drop Priority: optional, not needed anymore since dpkg 1.22.13.
  * Drop unneeded KF5/Qt5 build dependencies.

 -- Aurélien COUDERC <coucouf@debian.org>  Wed, 25 Feb 2026 17:48:51 +0100

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,6 @@
 Source: kopeninghours
 Section: libs
-Priority: optional
-Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Sandro Knauß <hefee@debian.org>,
 Build-Depends: debhelper-compat (= 13),
@@ -20,8 +18,8 @@
                libpython3-dev,
                qt6-base-dev (>= 6.4~),
 Homepage: https://invent.kde.org/libraries/kopeninghours/
-Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kopeninghours
-Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kopeninghours
+Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kopeninghours
+Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kopeninghours.git
 Standards-Version: 4.7.3
 
 Package: libkopeninghours1
